import { Injectable, NgModule } from '@angular/core';

class SumService {
    /**
     * Calculates the sum.
     * @param {...?} addends Numbers to be added
     * @return {?}
     */
    calculate(...addends) {
        this.sum = 0;
        for (const /** @type {?} */ addend of addends) {
            this.sum += addend;
        }
    }
}
SumService.decorators = [
    { type: Injectable },
];
/**
 * @nocollapse
 */
SumService.ctorParameters = () => [];

class ArithmeticModule {
    /**
     * Use in AppModule: new instance of SumService.
     * @return {?}
     */
    static forRoot() {
        return {
            ngModule: ArithmeticModule,
            providers: [SumService]
        };
    }
    /**
     * Use in features modules with lazy loading: new instance of SumService.
     * @return {?}
     */
    static forChild() {
        return {
            ngModule: ArithmeticModule,
            providers: [SumService]
        };
    }
}
ArithmeticModule.decorators = [
    { type: NgModule, args: [{
                declarations: [],
                exports: []
            },] },
];
/**
 * @nocollapse
 */
ArithmeticModule.ctorParameters = () => [];

// Public classes.

/**
 * Entry point for all public APIs of the package.
 */

/**
 * Generated bundle index. Do not edit.
 */

export { SumService, ArithmeticModule };
//# sourceMappingURL=angular-library-lasitha.js.map
